System.Design 2.0.0.0 System.ComponentModel.TypeConverter

Use the class to convert object types before assignment to a control property. In general, the class supports converting string object types and supplies a list of standard values available for assignment to the associated control property. The standard values collection is the list of field names for bound column fields for the current control.

To support converting additional object types, derive a class from and override the and methods for the additional object types. To support a custom list of standard assignable values, override the method.

Apply the attribute to specify the class as the type converter for a control property. For example, the property of the control specifies as its type converter.

You should never access a type converter directly. Instead, call the appropriate converter by using a object. For more information, see the examples in .

The method indicates that the converter supports returning a list of available values through the method. The method indicates that the list is not an exclusive list of possible values.

Provides a type converter for a property representing the field name of a bound column field in a control.

- Constructor
  2.0.0.0

  You should never access a type converter directly. Instead, call the appropriate converter by using a object. For more information, see the examples in .

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Boolean `` ``

  Call the method to determine whether the method supports converting the source type.

  The method can convert only from a string, so the method returns true when is a string.

  Indicates whether the specified source type can be converted to the type of the associated control property.

  true if the converter can perform the conversion; otherwise, false.

  An implementation that can be used to gain additional context information. The type to convert from.
- Method
  2.0.0.0
  System.Object `` `` ``

  If is a string, then the string representation of is returned. If is null, an empty string ("") is returned. For all other values, a exception is thrown.

  Call the method to determine whether the method supports converting the source type.

  Converts the specified object to the type of the associated control property.

  An instance that represents the converted object.

  An implementation that can be used to gain additional context information. The object that can be used to support localization features. The object to convert.
- Method
  2.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The method uses the property of the specified object to obtain an implementation. If the implementation is available, it is used to access the associated control at design time and retrieve the list of available values from the associated component.

  The collection of available values is built from the bound column fields in the control. The bound column fields consist of objects in the collection, and from the bound column fields automatically generated for fields in the data source.

  Returns a list of available values that can be assigned to the associated control property.

  A instance containing available values for assignment to the associated control property.

  An implementation that can be used to gain additional context information.
- Method
  2.0.0.0
  System.Boolean ``

  The method for a instance returns false, indicating that the list returned by the method is not an exclusive list of all possible assignable values.

  Indicates whether this converter returns a list containing all possible values that can be assigned to the associated control property.

  true if this converter returns a list containing all possible values that can be assigned to the associated control property; otherwise false.

  An implementation that can be used to gain additional context information.
- Method
  2.0.0.0
  System.Boolean ``

  The method indicates whether the converter supports returning a list of available values through the method.

  The method for the object returns true if the specified object supplies an implementation in its property. The method uses the implementation to access the associated control at design time and retrieve the list of available bound column fields from the associated component.

  Indicates whether this converter returns a set of available values for assignment to a control property, within the specified context.

  true if this converter returns a standard set of available values for assignment to the associated control property; otherwise false.

  An implementation that can be used to gain additional context information.